__Please do not ask for assistance in the Issues list.__ Use the [Mailing List](https://groups.google.com/forum/#!forum/nightwatchjs) or [StackOverflow](http://stackoverflow.com/questions/tagged/nightwatch.js) to ask questions and seek help. 

Before submitting a new issues, try searching for a similar one here: https://github.com/nightwatchjs/nightwatch/search?type=Issues and add your scenario there and anything else which you think will help with fixing it;
 
## Reporting a bug
- [ ] Please write an elaborate title which explains the problem as accurate as possible
  For instance:
  - __not helpful__: "Issue with tags"
  - __much better__: "Tags don't work when combined with --skiptags option"
- [ ] Include a sample test which reproduces the problem you're experiencing. The test should be against a **public url**. The test and other info should be posted inline, attachments will be ignored;
- [ ] Include the verbose output, if possible (run nightwatch with `--verbose` argument);
- [ ] Include your configuration (try to leave out the irrelevant bits);
- [ ] Also include: Nightwatch version, Node.js version, OS version and Webdriver/Selenium Server version;
- [ ] Please try not to report issues you have with individual browser drivers which cannot or should not be solved in Nightwatch.

## Requesting a feature
Feature requests are welcome. 

- [ ] Indicate in the issue title that it is a feature/enhancement request
- [ ] Explain the use case and include a sample test case and/or usage, if possible 
- [ ] Try to submit enhancements that you cannot build with custom commands/assertions and something that will benefit the community

Please make sure you've formatted the code samples, verbose output, configuration and other inline debug information (use the __Preview__  functionality). Check out the GitHub Markdown guide: https://guides.github.com/features/mastering-markdown/
